package cn.chnmuseum.party.model;

import cn.chnmuseum.party.common.validator.groups.Update;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @description: 学习内容下的展板参考资料是否在app显示
 * @author: nh
 * @create: 2021-06-22 09:38
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@TableName("learning_content_asset")
@ApiModel(value = "学习内容展板参考资料是否展示", description = "学习内容展板参考资料是否展示")
public class LearningContentAsset implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @NotNull(message = "ID不能为空", groups = {Update.class})
    private String id;

    @ApiModelProperty("学习内容")
    @TableField(value = "learning_content_id")
    private String learningContentId;

    @ApiModelProperty("展板")
    @TableField(value = "board_id")
    private String boardId;

    @ApiModelProperty("参考资料")
    @TableField(value = "asset_id")
    private String assetId;

}
