package cn.chnmuseum.party.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 地区看板播放统计
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-26
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@TableName("t_district_board_statistic")
@ApiModel(value = "地区看板播放统计", description = "地区看板播放统计")
public class TDistrictBoardStatistic implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("播放次数")
    @TableField("play_date")
    private String playDate;


    @ApiModelProperty("播放次数")
    @TableField("play_number")
    private Integer playNumber;


    @ApiModelProperty("地区名称")
    @TableField(exist = false)
    private String areaName;

    @ApiModelProperty("看板数量")
    @TableField(exist = false)
    private Integer boardCnt;

    @ApiModelProperty("机构编码")
    private String organCode;


    @ApiModelProperty("地区编码")
    private String areaCode;

    /**
     * 地区id集合
     */
    @ApiModelProperty(hidden = true)
    private List<String> areaIds;


}
